/******************************************************************************
 *  File: pmbus_driver.h
 *  Description: pmbus driver
 *  Author: Arnaud Hugron
 *  Date: 08/13/2015
 *****************************************************************************/
#ifndef PMBUS_DRIVER_H_
#define PMBUS_DRIVER_H_

// define pmbus_state
#define PMBUS_STATE_IDLE      	0x00u
#define PMBUS_STATE_ADR_WRITE 	0x01u
#define PMBUS_STATE_WRITE     	0x02u
#define PMBUS_STATE_READ      	0x03u

#define PMBUS_BUFFER_SIZE		64u					// pmbus communication buffer size

extern uint8_t pmbus_pec_prev0;
extern uint8_t u8Dump;

extern const uint8_t crc8_table[256];

/*****************************************************************************
* prototype function pmbus driver
******************************************************************************/
void pmbus_drv_init(void);
void pmbus_drv_process0(void);

#endif	/* PMBUS_DRIVER_H_ */
