/******************************************************************************
 *  File: temperature.c
 *  Description: temperature function
 *  Author: Arnaud Hugron
 *  Date: 01/07/2016
 *****************************************************************************/
#include "main.h"
#include "temperature.h"
#include "analog.h"
#include "fan.h"
#include "pmbus.h"

#ifdef O3_CODE
#pragma GCC optimize ("O3")
#endif

// temperature conversion (Q15 format ADC -> C), 3.3v with 2.21K pull up
// table is from -20C to 140C in 10C increment
// from "Thermistor Resistance.xlsx"
#define TEMP_TABLE_SIZE 18u

static int16_t temperature_conversion(int16_t adc)
{

}

void temperature_init(void)
{
	temperature.ambient_c = ROOM_TEMPERATURE_C;
	temperature.temp1_c = ROOM_TEMPERATURE_C;
	temperature.temp2_c = ROOM_TEMPERATURE_C;
	temperature.temp3_c = ROOM_TEMPERATURE_C;
}

// every 1s
void temperature_process(void)
{
	temperature.temp1_c  = temperature_conversion(temperature.temp1_filt);
	temperature.temp2_c  = temperature_conversion(temperature.temp2_filt);
	temperature.temp3_c  = temperature_conversion(temperature.temp3_filt);
}
