/*
 * utils.h
 *
 *  Created on: Dec 7, 2016
 *      Author: ahugron
 */

#ifndef UTILS_H_
#define UTILS_H_

bool_t IsWhiteSpace( char_t cByte );
bool_t IsUpperCase( char_t cByte );
bool_t IsLowerCase( char_t cByte );
bool_t IsNumeric( char_t cByte );
char_t UpperCase( char_t cByte );
bool_t isBdigitstr(const char_t *str);
bool_t isXdigitstr(const char_t *str);
bool_t isQdigitstr(const char_t *str);
int32_t isNumberdigitstr(const char_t *str);
//char_t *strtok1(char_t *s , char_t *delim);
char_t *strtok1(char_t *s , char_t *delim);

uint16_t strncpy1(char_t *s1, const char_t *s2, size_t n);
uint16_t strlcat1(char_t *dst, const char_t *src, uint16_t siz);
char_t *skipWs(char_t *str);
uint16_t itoa(int32_t n, char_t *str);
uint16_t ftoa(float_t Value, char_t *str);
uint16_t uitoa(uint32_t n, char_t *str);
uint16_t uitoab(uint32_t n, char_t *str, uint16_t base);
float_t atof1(const char_t *str);
uint16_t bin_to_hexstr(const uint8_t *bin, uint16_t binsz, char_t *result, uint16_t resp_size_max);
uint16_t hexstr_to_bin(uint8_t *hexstr, uint8_t *bin, uint16_t bin_size_max);
void reverse(char_t *str);

#endif /* UTILS_H_ */
