/*
 * main_init.h
 *
 *  Created on: Apr 18, 2023
 *      Author: fireb
 */

#ifndef MAIN_INIT_H_
#define MAIN_INIT_H_

void dsp_init(void);

extern int MEP_ScaleFactor; // Global variable used by the SFO library
                     // Result can be used for all HRPWM channels
                     // This variable is also copied to HRMSTEP
                     // register by SFO() function.


#define ISR_GLOBAL_INT_ENABLE   EINT            // enable interrupts
#define ISR_GLOBAL_INT_DISABLE  DINT            // disable interrupts

#endif /* MAIN_INIT_H_ */
